Bug 37107 - Updated port: benchmarks/siege
Summary: Updated port: benchmarks/siege
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: markp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-15 20:00 UTC by dominic_marks
Modified: 2002-06-03 12:36 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.37 KB, patch)
2002-04-15 20:00 UTC, dominic_marks
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dominic_marks 2002-04-15 20:00:04 UTC
	Upgrade of benchmarks/siege, 2.09 => 2.52

Fix: Maintainer (and Committer in this case) is CC:ed.
Comment 1 dominic_marks 2002-04-15 20:20:08 UTC
On Mon, Apr 15, 2002 at 07:52:59PM +0100, Dominic Marks wrote:
> 
> >Number:         37107
> >Category:       ports
> >Synopsis:       Student

Damn. Made a right mess of this one.

Synopsis:	Updated port: benchmarks/siege

> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          update
> >Submitter-Id:   current-users
> >Arrival-Date:   Mon Apr 15 12:00:04 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Dominic Marks
> >Release:        FreeBSD 4.5-STABLE i386
> >Organization:
> >Environment:
> System: FreeBSD gallium 4.5-STABLE FreeBSD 4.5-STABLE #2: Mon Apr 8
> 21:19:28 BST 2002 dom@gallium:/usr/obj/usr/src/sys/GALLIUM i386
> 
> 	
> >Description:
> 	Upgrade of benchmarks/siege, 2.09 => 2.52
> 	
> 	
> >How-To-Repeat:
> 	
> >Fix:
> 
> 	Maintainer (and Committer in this case) is CC:ed.
> 
> Index: Makefile
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/siege/Makefile,v
> retrieving revision 1.5
> diff -u -r1.5 Makefile
> --- Makefile	2001/09/30 08:25:04	1.5
> +++ Makefile	2002/04/15 18:43:53
> @@ -6,32 +6,26 @@
>  #
>  
>  PORTNAME=	siege
> -PORTVERSION=	2.09
> +PORTVERSION=	2.52
>  CATEGORIES=	benchmarks
>  MASTER_SITES=	ftp://ftp.armstrong.com/pub/siege/ \
>  		http://nerf-herder.net/siege/
>  
>  MAINTAINER=	markp@FreeBSD.org
> -
> -USE_LIBTOOL=	yes
> -CONFIGURE_ARGS+=	--with-ssl=/usr --disable-shared
> -MAN1=	siege.1 siege.config.1 scout.1 layingsiege.1 urls_txt.1 bombardment.1 \
> +GNU_CONFIGURE=	yes
> +CONFIGURE_ARGS=	--with-ssl=/usr --disable-shared
> +MAN1=	siege.1 siege.config.1 layingsiege.1 urls_txt.1 bombardment.1 \
>  	siege2csv.1
>  
>  do-install:
> -	${INSTALL_PROGRAM} ${WRKSRC}/src/siege/siege ${PREFIX}/bin
> -	${INSTALL_PROGRAM} ${WRKSRC}/src/scout/scout ${PREFIX}/bin
> +	${INSTALL_PROGRAM} ${WRKSRC}/src/siege ${PREFIX}/bin
>  	${INSTALL_SCRIPT} ${WRKSRC}/utils/bombardment ${PREFIX}/bin
>  	${INSTALL_SCRIPT} ${WRKSRC}/utils/siege.config ${PREFIX}/bin
>  	${INSTALL_SCRIPT} ${WRKSRC}/utils/siege2csv.pl ${PREFIX}/bin/siege2csv
> -.for F in bombardment.1 layingsiege.1 scout.1 siege.1 siege.config.1 \
> -		siege2csv.1 urls_txt.1
> +	
> +.for F in bombardment.1 layingsiege.1 siege.1 siege.config.1 \
> +	siege2csv.1 urls_txt.1
>  	${INSTALL_MAN} ${WRKSRC}/doc/${F} ${PREFIX}/man/man1
>  .endfor
> -.if !defined(NOPORTDOCS)
> -	${MKDIR} ${PREFIX}/share/doc/${PORTNAME}
> -	${INSTALL_DATA} ${WRKSRC}/doc/manual.html \
> -		${PREFIX}/share/doc/${PORTNAME}
> -.endif
>  
>  .include <bsd.port.mk>
> Index: distinfo
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/siege/distinfo,v
> retrieving revision 1.5
> diff -u -r1.5 distinfo
> --- distinfo	2001/09/30 08:25:04	1.5
> +++ distinfo	2002/04/15 18:43:53
> @@ -1 +1 @@
> -MD5 (siege-2.09.tar.gz) = 8d95f0f3177fd78f2c787bd2615e3227
> +MD5 (siege-2.52.tar.gz) = 16d65f09ea3715f7f000da956377f5f5
> Index: pkg-plist
> ===================================================================
> RCS file: /home/ncvs/ports/benchmarks/siege/pkg-plist,v
> retrieving revision 1.1
> diff -u -r1.1 pkg-plist
> --- pkg-plist	2001/06/08 04:18:55	1.1
> +++ pkg-plist	2002/04/15 18:43:53
> @@ -1,7 +1,4 @@
>  bin/siege
> -bin/scout
>  bin/bombardment
>  bin/siege2csv
>  bin/siege.config
> -%%PORTDOCS%%share/doc/siege/manual.html
> -%%PORTDOCS%%@dirrm share/doc/siege
> 
> 	
> 
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> 
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message

-- 
Dominic
Comment 2 Ying-Chieh Liao freebsd_committer 2002-04-16 06:02:44 UTC
Responsible Changed
From-To: freebsd-ports->markp

over to maintainer
Comment 3 markp freebsd_committer 2002-06-03 12:36:14 UTC
State Changed
From-To: open->closed

Committed, thanks!